### Method

# Ide Config get_toolchain

#### Declaration

    IdeToolchain*
    ide_config_get_toolchain (
      IdeConfig* self
    )

#### Description

Gets the toolchain for the configuration.

Available since: | 3.32

Gets property | `Ide.Config:toolchain`

#### Return value

Returns: | `IdeToolchain`
| An `IdeToolchain`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.